complexType "ParametricAdjustment"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-mktenv-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | name?, inputUnits?, datapoint*
</...>

Content Model Elements (3):

  datapoint, inputUnits, | name (in adjustment)

All Direct / Indirect Based Elements (1):

  adjustment

Known Usage Locations

- As direct type of elements (1):
  adjustment

Annotation
An adjustment used to accommodate a parameter of the input trade, e.g. the strike.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ParametricAdjustment"> <xsd:sequence> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="inputUnits" type="PriceQuoteUnits"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="datapoint" type="ParametricAdjustmentPoint"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
datapoint

  Type: | ParametricAdjustmentPoint, complex content

  The values of the adjustment parameter.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="datapoint" type="ParametricAdjustmentPoint"/>

inputUnits

  Type: | PriceQuoteUnits, simple content

  The units of the input parameter, e.g. Yield.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="inputUnits" type="PriceQuoteUnits"/>

name

  Type: | xsd:normalizedString, predefined, simple content

  The name of the adjustment parameter (e.g. "Volatility Skew").
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.